Calling HTML Help from Delphi IDE

Open Tools Api is the standard interface for extending Delphi IDE. HTML Help is the standard help file format for Windows since Windows 98. This page provides some general resources on both subjects and example how to integrate them.

Open Tools API resources

  • Erik's Open Tools API FAQ and Resources, a definitive resource by GExperts
  • Open Tools API overview by Tempest Software
  • Open Tools API Help File by FraserSoft
  • OTA - How to create and add new menu item to Delphi IDE by Miha Remec
  • Opening Doors: Notes on the Delphi Tools API by Allen Bauer
  • Opening Doors: Notes on the Delphi Tools API (part 2) by Allen Bauer
  • Groping in the dark by John Flaxman
  • Delphi Help: Open Tools API, Extending the IDE

HTML Help resources

  • HTML Help 1.4 SDK, Microsoft
  • HTML Help API Conversion by Delphi JEDI, includes examples
  • Delphi Html Help Kit, Robert Chandler

Working example

The example is adapted from Miha Remec's tutorial OTA - How to create and add new menu item to Delphi IDE. Just download the package otaHtmlHelp.zip, install the DPK and press F2. See the source here.

© Miika Nurminen - (minurmin@cc.jyu.fi)
Last update: 2003-09-26